Upgrading from 3.2.5 to 3.3.2 fails

Get help with installation and running phpBB 3.2.x here. Please do not post bug reports, feature requests, or extension related questions here.
Post Reply
sdfsdf
Registered User
Posts: 3
Joined: Mon Jan 11, 2021 8:29 pm

Upgrading from 3.2.5 to 3.3.2 fails

Post by sdfsdf »

Hey guys,

I downloaded the automatic upgrade package from 3.2.5 to 3.3.2. When I go to install/app.php it says:
[phpBB Debug] "file_exists(): open_basedir restriction in effect. File(../install/update/new/phpbb/cache/driver/file.php) is not within the allowed path(s): (/php_sessions:/tmp:/var/www/errors:/usr/share/pear:/home/vol4_2/rf.gd/rfgd_18639697/htdocs)" in file /home/vol4_2/rf.gd/rfgd_18639697/htdocs/install/update/new/phpbb/class_loader.php on line 126[phpBB Debug] "file_exists(): open_basedir restriction in effect. File(../phpbb/cache/driver/file.php) is not within the allowed path(s): (/php_sessions:/tmp:/var/www/errors:/usr/share/pear:/home/vol4_2/rf.gd/rfgd_18639697/htdocs)" in file /home/vol4_2/rf.gd/rfgd_18639697/htdocs/install/update/new/phpbb/class_loader.php on line 126[phpBB Debug] "file_exists(): open_basedir restriction in effect. File(../ext/phpbb/cache/driver/file.php) is not within the allowed path(s): (/php_sessions:/tmp:/var/www/errors:/usr/share/pear:/home/vol4_2/rf.gd/rfgd_18639697/htdocs)" in file /home/vol4_2/rf.gd/rfgd_18639697/htdocs/install/update/new/phpbb/class_loader.php on line 126[phpBB Debug] "file_exists(): open_basedir restriction in effect. File(../install/update/new/phpbb/cache/driver/base.php) is not within the allowed path(s): (/php_sessions:/tmp:/var/www/errors:/usr/share/pear:/home/vol4_2/rf.gd/rfgd_18639697/htdocs)" in file /home/vol4_2/rf.gd/rfgd_18639697/htdocs/install/update/new/phpbb/class_loader.php on line 126[phpBB Debug] "file_exists(): open_basedir restriction in effect. File(../phpbb/cache/driver/base.php) is not within the allowed path(s): (/php_sessions:/tmp:/var/www/errors:/usr/share/pear:/home/vol4_2/rf.gd/rfgd_18639697/htdocs)" in file /home/vol4_2/rf.gd/rfgd_18639697/htdocs/install/update/new/phpbb/class_loader.php on line 126[phpBB Debug] "file_exists(): open_basedir restriction in effect. File(../ext/phpbb/cache/driver/base.php) is not within the allowed path(s): (/php_sessions:/tmp:/var/www/errors:/usr/share/pear:/home/vol4_2/rf.gd/rfgd_18639697/htdocs)" in file /home/vol4_2/rf.gd/rfgd_18639697/htdocs/install/update/new/phpbb/class_loader.php on line 126[phpBB Debug] "file_exists(): open_basedir restriction in effect. File(../install/update/new/phpbb/cache/driver/driver_interface.php) is not within the allowed path(s): (/php_sessions:/tmp:/var/www/errors:/usr/share/pear:/home/vol4_2/rf.gd/rfgd_18639697/htdocs)" in file /home/vol4_2/rf.gd/rfgd_18639697/htdocs/install/update/new/phpbb/class_loader.php on line 126[phpBB Debug] "file_exists(): open_basedir restriction in effect. File(../phpbb/cache/driver/driver_interface.php) is not within the allowed path(s): (/php_sessions:/tmp:/var/www/errors:/usr/share/pear:/home/vol4_2/rf.gd/rfgd_18639697/htdocs)" in file /home/vol4_2/rf.gd/rfgd_18639697/htdocs/install/update/new/phpbb/class_loader.php on line 126[phpBB Debug] "file_exists(): open_basedir restriction in effect. File(../ext/phpbb/cache/driver/driver_interface.php) is not within the allowed path(s): (/php_sessions:/tmp:/var/www/errors:/usr/share/pear:/home/vol4_2/rf.gd/rfgd_18639697/htdocs)" in file /home/vol4_2/rf.gd/rfgd_18639697/htdocs/install/update/new/phpbb/class_loader.php on line 126

So what's wrong? :?
Last edited by sdfsdf on Mon Jan 11, 2021 8:53 pm, edited 1 time in total.
User avatar
warmweer
Jr. Extension Validator
Posts: 6149
Joined: Fri Jul 04, 2003 6:34 am
Location: Van Allen Bel ... gium

Re: Upgrading from 3.2.5 to 3.3.2 fails

Post by warmweer »

sdfsdf wrote:
Mon Jan 11, 2021 8:34 pm
I downloaded the automatic upgrade package from 3.2.5 to 3.3.2. When I go to install/app.php it says:
+++
So what's wrong? :?
The automatic upgrade package is not the recommended way to upgrade (and that is mentioned on that page you accessed).
Still, nothing's lost.
You can retry the upgrade using: Upgrading from 3.2 to 3.3
Since you've used the autupdate: you also need to
Important

If you have previously abandoned an update attempt to try a different method, you will need to remove the following files from the server:
store/install_config.php
store/io_lock.lock
and while you're at it, also any migrationsxxx
Spelling is freeware, which means you can use it for free.
On the other hand, it is not open source, which means you cannot change it or publish it in a modified form.
sdfsdf
Registered User
Posts: 3
Joined: Mon Jan 11, 2021 8:29 pm

Re: Upgrading from 3.2.5 to 3.3.2 fails

Post by sdfsdf »

Ok, upgrading worked, but now I get this error:
Fatal error: Uncaught RuntimeException: Media site 'blab' does not exist in /home/vol4_2/rf.gd/rfgd_18639697/htdocs/vendor/s9e/text-formatter/src/Plugins/MediaEmbed/Configurator/Collections/SiteDefinitionCollection.php:34 Stack trace: #0 /home/vol4_2/rf.gd/rfgd_18639697/htdocs/vendor/s9e/text-formatter/src/Configurator/Collections/NormalizedCollection.php(185): s9e\TextFormatter\Plugins\MediaEmbed\Configurator\Collections\SiteDefinitionCollection->getNotExistException('blab') #1 /home/vol4_2/rf.gd/rfgd_18639697/htdocs/vendor/s9e/text-formatter/src/Plugins/MediaEmbed/Configurator.php(117): s9e\TextFormatter\Configurator\Collections\NormalizedCollection->get('blab') #2 /home/vol4_2/rf.gd/rfgd_18639697/htdocs/ext/phpbb/mediaembed/event/main_listener.php(90): s9e\TextFormatter\Plugins\MediaEmbed\Configurator->add('blab') #3 /home/vol4_2/rf.gd/rfgd_18639697/htdocs/vendor/symfony/event-dispatcher/EventDispatcher.php(214): phpbb\mediaembed\event\main_listener->configure_media_embed(Object(phpbb\event\data), 'core.text_forma...', in /home/vol4_2/rf.gd/rfgd_18639697/htdocs/vendor/s9e/text-formatter/src/Plugins/MediaEmbed/Configurator/Collections/SiteDefinitionCollection.php on line 34

I tried reuploading the files, but no difference.
User avatar
stevemaury
Support Team Member
Support Team Member
Posts: 51802
Joined: Thu Nov 02, 2006 12:21 am
Location: The U.P.
Name: Steve
Contact:

Re: Upgrading from 3.2.5 to 3.3.2 fails

Post by stevemaury »

Disable the Media embed extension and see if the error goes away.
For REALLY good and VERY inexpensive hosting CLICK HERE

I can stop all your spam. I can upgrade or update your Board. PM or email me. (Paid support)
sdfsdf
Registered User
Posts: 3
Joined: Mon Jan 11, 2021 8:29 pm

Re: Upgrading from 3.2.5 to 3.3.2 fails

Post by sdfsdf »

Thx for pointing me in the right direction! That worked, I had to disable some other extensions. Topic can be closed :D
Post Reply

Return to “[3.2.x] Support Forum”